Main Page Class Hierarchy Compound List File List Compound Members File Members

# Atable Class Reference

`#include <table.h>`

Inheritance diagram for Atable::

List of all members.

## Public Methods
ELIBOBJ EDLL | Atable (char *name, Aobject *l, int x, int y, int w, int h)
virtual EDLL | ~Atable ()
virtual EDLL void | paint (Abitmap *)
virtual EDLL bool | notify (Anode *o, int event, dword p=0)
virtual EDLL bool | size (int w, int h)
virtual EDLL bool | add (class Aplugz *ei)
virtual EDLL bool | add (class Apin *p)
virtual EDLL bool | del (class Apin *p)
virtual EDLL bool | add (class Aconnect *c)
virtual EDLL bool | del (class Aconnect *c)
virtual EDLL bool | del (class Aeffect *e)
EDLL void | arrange ()
EDLL void | order ()
EDLL void | clear ()
EDLL bool | stop ()
virtual EDLL void | run ()
virtual EDLL int | getTime ()
virtual EDLL void | settings ()
EDLL bool | save (Afile *f)
EDLL bool | load (Afile *f)
EDLL bool | add (class Acontrol *c)
EDLL void | del (class Acontrol *c)
EDLL bool | record (class Acontrol *c, int ctrl, int value)
bool | test (class Aeffect *e0, class Aeffect *e1)
## Public Attributes
int | bpmPhase
int | bpmFreq
int | videoW
int | videoH
int | frameRate
bool | render
bool | recording
Aitem * | plugz
char | rootdir [MAX_PATH]
Aitem * | effectItems
AeffectInfo * | effectInfo [MAXEFFECTINFO]
int | nbEffectInfo
Aeffect * | effect [MAXEFFECT]
int | nbEffect
Aeffect * | effectOrder [MAXEFFECT]
int | nbEffectOrder
Acontrol * | control [MAXCONTROL]
int | nbControl
Apin * | pins
Aconnect * | connects
int | nbPins
int | idEffect
Aobject * | layer
AtableFront * | front
AtableBack * | back
AtableSelect * | select
Apattern * | pattern
Amapping * | mapping
Asection | synchronize
bool | running
int | timeStart
int | timeCurrent

## Constructor & Destructor Documentation

ELIBOBJ EDLL Atable::Atable | ( | char * | name,
|  | Aobject * | l,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

virtual EDLL Atable::~Atable | ( |  | ) | `[virtual]`

## Member Function Documentation

EDLL bool Atable::add | ( | class Acontrol * | c | ) |

virtual EDLL bool Atable::add | ( | class Aconnect * | c | ) | `[virtual]`

virtual EDLL bool Atable::add | ( | class Apin * | p | ) | `[virtual]`

virtual EDLL bool Atable::add | ( | class Aplugz * | ei | ) | `[virtual]`

EDLL void Atable::arrange | ( |  | ) |

EDLL void Atable::clear | ( |  | ) |

EDLL void Atable::del | ( | class Acontrol * | c | ) |

virtual EDLL bool Atable::del | ( | class Aeffect * | e | ) | `[virtual]`

virtual EDLL bool Atable::del | ( | class Aconnect * | c | ) | `[virtual]`

virtual EDLL bool Atable::del | ( | class Apin * | p | ) | `[virtual]`

virtual EDLL int Atable::getTime | ( |  | ) | `[virtual]`

EDLL bool Atable::load | ( | Afile * | f | ) |

virtual EDLL bool Atable::notify | ( | Anode * | o,
|  | int | event,
|  | dword | p = 0
| ) | `[virtual]`

| Reimplemented from Anode.

EDLL void Atable::order | ( |  | ) |

virtual EDLL void Atable::paint | ( | Abitmap * | b | ) | `[virtual]`

| Reimplemented from Aobject.

EDLL bool Atable::record | ( | class Acontrol * | c,
|  | int | ctrl,
|  | int | value
| ) |

virtual EDLL void Atable::run | ( |  | ) | `[virtual]`

| Reimplemented from Athread.

EDLL bool Atable::save | ( | Afile * | f | ) |

virtual EDLL void Atable::settings | ( |  | ) | `[virtual]`

virtual EDLL bool Atable::size | ( | int | w,
|  | int | h
| ) | `[virtual]`

| Reimplemented from Aobject.

EDLL bool Atable::stop | ( |  | ) |

| Reimplemented from Athread.

bool Atable::test | ( | class Aeffect * | e0,
|  | class Aeffect * | e1
| ) |

## Member Data Documentation

class AtableBack* Atable::back

int Atable::bpmFreq

int Atable::bpmPhase

class Aconnect* Atable::connects

class Acontrol* Atable::control[MAXCONTROL]

class Aeffect* Atable::effect[MAXEFFECT]

class AeffectInfo* Atable::effectInfo[MAXEFFECTINFO]

class Aitem* Atable::effectItems

class Aeffect* Atable::effectOrder[MAXEFFECT]

int Atable::frameRate

class AtableFront* Atable::front

int Atable::idEffect

class Aobject* Atable::layer

class Amapping* Atable::mapping

int Atable::nbControl

int Atable::nbEffect

int Atable::nbEffectInfo

int Atable::nbEffectOrder

int Atable::nbPins

class Apattern* Atable::pattern

class Apin* Atable::pins

class Aitem* Atable::plugz

bool Atable::recording

bool Atable::render

char Atable::rootdir[MAX_PATH]

bool Atable::running

class AtableSelect* Atable::select

Asection Atable::synchronize

int Atable::timeCurrent

int Atable::timeStart

int Atable::videoH

int Atable::videoW

The documentation for this class was generated from the following file:

- table.h